Secure Citizen Bank Account Verification
curl --request POST \
--url https://citizen.uat.securecitizen.cloud/Citizen/AccountVerificationService \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"IDNumber": "<string>",
"BranchCode": "<string>",
"AccountNumber": "<string>",
"Initials": "<string>",
"Surname": "<string>",
"CRef": "<string>",
"ConsentRecieved": true
}
'import requests
url = "https://citizen.uat.securecitizen.cloud/Citizen/AccountVerificationService"
payload = {
"IDNumber": "<string>",
"BranchCode": "<string>",
"AccountNumber": "<string>",
"Initials": "<string>",
"Surname": "<string>",
"CRef": "<string>",
"ConsentRecieved": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
IDNumber: '<string>',
BranchCode: '<string>',
AccountNumber: '<string>',
Initials: '<string>',
Surname: '<string>',
CRef: '<string>',
ConsentRecieved: true
})
};
fetch('https://citizen.uat.securecitizen.cloud/Citizen/AccountVerificationService', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://citizen.uat.securecitizen.cloud/Citizen/AccountVerificationService",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'IDNumber' => '<string>',
'BranchCode' => '<string>',
'AccountNumber' => '<string>',
'Initials' => '<string>',
'Surname' => '<string>',
'CRef' => '<string>',
'ConsentRecieved' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://citizen.uat.securecitizen.cloud/Citizen/AccountVerificationService"
payload := strings.NewReader("{\n \"IDNumber\": \"<string>\",\n \"BranchCode\": \"<string>\",\n \"AccountNumber\": \"<string>\",\n \"Initials\": \"<string>\",\n \"Surname\": \"<string>\",\n \"CRef\": \"<string>\",\n \"ConsentRecieved\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://citizen.uat.securecitizen.cloud/Citizen/AccountVerificationService")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"IDNumber\": \"<string>\",\n \"BranchCode\": \"<string>\",\n \"AccountNumber\": \"<string>\",\n \"Initials\": \"<string>\",\n \"Surname\": \"<string>\",\n \"CRef\": \"<string>\",\n \"ConsentRecieved\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://citizen.uat.securecitizen.cloud/Citizen/AccountVerificationService")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"IDNumber\": \"<string>\",\n \"BranchCode\": \"<string>\",\n \"AccountNumber\": \"<string>\",\n \"Initials\": \"<string>\",\n \"Surname\": \"<string>\",\n \"CRef\": \"<string>\",\n \"ConsentRecieved\": true\n}"
response = http.request(request)
puts response.read_body{
"CRef": "<string>",
"Status": "Success",
"Message": "<string>",
"RequestedBy": "<string>",
"AuthorizedBy": "<string>",
"result": true,
"response_object": {
"status": "<string>",
"result": {
"AccountVerificationResult": {
"ResultFile": {
"RecordIndicator": "<string>",
"SequenceNumber": "<string>",
"BranchNumber": "<string>",
"AccountNumber": "<string>",
"AccountType": "<string>",
"IdNumber": "<string>",
"IdType": "<string>",
"Initials": "<string>",
"Surname": "<string>",
"EmailAddress": null,
"ContactNumber": null,
"TaxReferenceNumber": "<string>",
"ClientUserReference": "<string>",
"SubBillingId": "<string>",
"ErrorConditionNumber": "<string>",
"AccountFound": "<string>",
"IdNumberMatch": "<string>",
"InitialsMatch": "<string>",
"SurnameMatch": "<string>",
"Account-Open": "<string>",
"AccountDormant": "<string>",
"AccountOpenForAtLeastThreeMonths": "<string>",
"AccountAcceptsDebits": "<string>",
"AccountAcceptsCredits": "<string>",
"EmailMatch": "<string>",
"PhoneMatch": "<string>",
"TaxReferenceMatch": "<string>",
"AccountIssuer": "<string>",
"AccountTypeReturn": "<string>"
},
"SubscriberInputDetails": {
"EnquiryDate": "2023-11-07T05:31:56Z",
"EnquiryType": "<string>",
"SubscriberName": "<string>",
"SubscriberUserName": "<string>",
"EnquiryInput": "<string>",
"EnquiryStatus": "<string>",
"XDsRefNo": "<string>",
"ExternalRef": null,
"IDNo": "<string>",
"SurName": "<string>",
"Initials": "<string>",
"AccountNo": "<string>",
"BankName": "<string>",
"BranchCode": "<string>",
"AccountType": "<string>",
"EmailAddress": null,
"ContactNumber": null,
"RequesterFirstName": null,
"RequesterSurName": null,
"refnumber": "<string>"
}
}
},
"error_message": {
"noResult": {
"error": "<string>"
}
}
},
"result_code": {
"name": "<string>",
"id": 123
},
"responseObject": {
"status": "<string>",
"result": {
"AccountVerificationResult": {
"ResultFile": {
"RecordIndicator": "<string>",
"SequenceNumber": "<string>",
"BranchNumber": "<string>",
"AccountNumber": "<string>",
"AccountType": "<string>",
"IdNumber": "<string>",
"IdType": "<string>",
"Initials": "<string>",
"Surname": "<string>",
"EmailAddress": null,
"ContactNumber": null,
"TaxReferenceNumber": "<string>",
"ClientUserReference": "<string>",
"SubBillingId": "<string>",
"ErrorConditionNumber": "<string>",
"AccountFound": "<string>",
"IdNumberMatch": "<string>",
"InitialsMatch": "<string>",
"SurnameMatch": "<string>",
"Account-Open": "<string>",
"AccountDormant": "<string>",
"AccountOpenForAtLeastThreeMonths": "<string>",
"AccountAcceptsDebits": "<string>",
"AccountAcceptsCredits": "<string>",
"EmailMatch": "<string>",
"PhoneMatch": "<string>",
"TaxReferenceMatch": "<string>",
"AccountIssuer": "<string>",
"AccountTypeReturn": "<string>"
},
"SubscriberInputDetails": {
"EnquiryDate": "2023-11-07T05:31:56Z",
"EnquiryType": "<string>",
"SubscriberName": "<string>",
"SubscriberUserName": "<string>",
"EnquiryInput": "<string>",
"EnquiryStatus": "<string>",
"XDsRefNo": "<string>",
"ExternalRef": null,
"IDNo": "<string>",
"SurName": "<string>",
"Initials": "<string>",
"AccountNo": "<string>",
"BankName": "<string>",
"BranchCode": "<string>",
"AccountType": "<string>",
"EmailAddress": null,
"ContactNumber": null,
"RequesterFirstName": null,
"RequesterSurName": null,
"refnumber": "<string>"
}
}
},
"error_message": {
"noResult": {
"error": "<string>"
}
}
}
}Financial Verification
Secure Citizen Bank Account Verification
This is a service that verifies bank account details
Secure Citizen Bank Account Verification
curl --request POST \
--url https://citizen.uat.securecitizen.cloud/Citizen/AccountVerificationService \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"IDNumber": "<string>",
"BranchCode": "<string>",
"AccountNumber": "<string>",
"Initials": "<string>",
"Surname": "<string>",
"CRef": "<string>",
"ConsentRecieved": true
}
'import requests
url = "https://citizen.uat.securecitizen.cloud/Citizen/AccountVerificationService"
payload = {
"IDNumber": "<string>",
"BranchCode": "<string>",
"AccountNumber": "<string>",
"Initials": "<string>",
"Surname": "<string>",
"CRef": "<string>",
"ConsentRecieved": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
IDNumber: '<string>',
BranchCode: '<string>',
AccountNumber: '<string>',
Initials: '<string>',
Surname: '<string>',
CRef: '<string>',
ConsentRecieved: true
})
};
fetch('https://citizen.uat.securecitizen.cloud/Citizen/AccountVerificationService', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://citizen.uat.securecitizen.cloud/Citizen/AccountVerificationService",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'IDNumber' => '<string>',
'BranchCode' => '<string>',
'AccountNumber' => '<string>',
'Initials' => '<string>',
'Surname' => '<string>',
'CRef' => '<string>',
'ConsentRecieved' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://citizen.uat.securecitizen.cloud/Citizen/AccountVerificationService"
payload := strings.NewReader("{\n \"IDNumber\": \"<string>\",\n \"BranchCode\": \"<string>\",\n \"AccountNumber\": \"<string>\",\n \"Initials\": \"<string>\",\n \"Surname\": \"<string>\",\n \"CRef\": \"<string>\",\n \"ConsentRecieved\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://citizen.uat.securecitizen.cloud/Citizen/AccountVerificationService")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"IDNumber\": \"<string>\",\n \"BranchCode\": \"<string>\",\n \"AccountNumber\": \"<string>\",\n \"Initials\": \"<string>\",\n \"Surname\": \"<string>\",\n \"CRef\": \"<string>\",\n \"ConsentRecieved\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://citizen.uat.securecitizen.cloud/Citizen/AccountVerificationService")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"IDNumber\": \"<string>\",\n \"BranchCode\": \"<string>\",\n \"AccountNumber\": \"<string>\",\n \"Initials\": \"<string>\",\n \"Surname\": \"<string>\",\n \"CRef\": \"<string>\",\n \"ConsentRecieved\": true\n}"
response = http.request(request)
puts response.read_body{
"CRef": "<string>",
"Status": "Success",
"Message": "<string>",
"RequestedBy": "<string>",
"AuthorizedBy": "<string>",
"result": true,
"response_object": {
"status": "<string>",
"result": {
"AccountVerificationResult": {
"ResultFile": {
"RecordIndicator": "<string>",
"SequenceNumber": "<string>",
"BranchNumber": "<string>",
"AccountNumber": "<string>",
"AccountType": "<string>",
"IdNumber": "<string>",
"IdType": "<string>",
"Initials": "<string>",
"Surname": "<string>",
"EmailAddress": null,
"ContactNumber": null,
"TaxReferenceNumber": "<string>",
"ClientUserReference": "<string>",
"SubBillingId": "<string>",
"ErrorConditionNumber": "<string>",
"AccountFound": "<string>",
"IdNumberMatch": "<string>",
"InitialsMatch": "<string>",
"SurnameMatch": "<string>",
"Account-Open": "<string>",
"AccountDormant": "<string>",
"AccountOpenForAtLeastThreeMonths": "<string>",
"AccountAcceptsDebits": "<string>",
"AccountAcceptsCredits": "<string>",
"EmailMatch": "<string>",
"PhoneMatch": "<string>",
"TaxReferenceMatch": "<string>",
"AccountIssuer": "<string>",
"AccountTypeReturn": "<string>"
},
"SubscriberInputDetails": {
"EnquiryDate": "2023-11-07T05:31:56Z",
"EnquiryType": "<string>",
"SubscriberName": "<string>",
"SubscriberUserName": "<string>",
"EnquiryInput": "<string>",
"EnquiryStatus": "<string>",
"XDsRefNo": "<string>",
"ExternalRef": null,
"IDNo": "<string>",
"SurName": "<string>",
"Initials": "<string>",
"AccountNo": "<string>",
"BankName": "<string>",
"BranchCode": "<string>",
"AccountType": "<string>",
"EmailAddress": null,
"ContactNumber": null,
"RequesterFirstName": null,
"RequesterSurName": null,
"refnumber": "<string>"
}
}
},
"error_message": {
"noResult": {
"error": "<string>"
}
}
},
"result_code": {
"name": "<string>",
"id": 123
},
"responseObject": {
"status": "<string>",
"result": {
"AccountVerificationResult": {
"ResultFile": {
"RecordIndicator": "<string>",
"SequenceNumber": "<string>",
"BranchNumber": "<string>",
"AccountNumber": "<string>",
"AccountType": "<string>",
"IdNumber": "<string>",
"IdType": "<string>",
"Initials": "<string>",
"Surname": "<string>",
"EmailAddress": null,
"ContactNumber": null,
"TaxReferenceNumber": "<string>",
"ClientUserReference": "<string>",
"SubBillingId": "<string>",
"ErrorConditionNumber": "<string>",
"AccountFound": "<string>",
"IdNumberMatch": "<string>",
"InitialsMatch": "<string>",
"SurnameMatch": "<string>",
"Account-Open": "<string>",
"AccountDormant": "<string>",
"AccountOpenForAtLeastThreeMonths": "<string>",
"AccountAcceptsDebits": "<string>",
"AccountAcceptsCredits": "<string>",
"EmailMatch": "<string>",
"PhoneMatch": "<string>",
"TaxReferenceMatch": "<string>",
"AccountIssuer": "<string>",
"AccountTypeReturn": "<string>"
},
"SubscriberInputDetails": {
"EnquiryDate": "2023-11-07T05:31:56Z",
"EnquiryType": "<string>",
"SubscriberName": "<string>",
"SubscriberUserName": "<string>",
"EnquiryInput": "<string>",
"EnquiryStatus": "<string>",
"XDsRefNo": "<string>",
"ExternalRef": null,
"IDNo": "<string>",
"SurName": "<string>",
"Initials": "<string>",
"AccountNo": "<string>",
"BankName": "<string>",
"BranchCode": "<string>",
"AccountType": "<string>",
"EmailAddress": null,
"ContactNumber": null,
"RequesterFirstName": null,
"RequesterSurName": null,
"refnumber": "<string>"
}
}
},
"error_message": {
"noResult": {
"error": "<string>"
}
}
}
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Minimum string length:
1Available options:
0, 1, 2, 3 Available options:
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13 Minimum string length:
1Available options:
0, 1, 2, 3, 4, 5 Minimum string length:
1Minimum string length:
1Minimum string length:
1Response
Success
This field will return the reference provided by the client to track the transaction.
Status values (static strings) to be used for external connection management
Available options:
Success, Failure, Unknown, AuthFailure, DataDeserializationError, EmptyResults, ErrorContactSupport, FaceDetectionFailure, FaceComparisonFailure, NoStatusDefined, FaceDetectionQualityTooLow, FaceDetectionTooManyFaces, FaceDetectionNoFacesFound, FaceComparisonError, FaceComparisonNotSame, GoldenSourceImageNull, ProvidedImageNull, GoldenSourceNoFacesFound, ProvidedImageNoFacesFound, GoldenSourceHasTooManyFaces, ProvidedImageHasTooManyFaces, GoldenSourceQualityTooLow, ProvidedImageQualityTooLow, GoldenSourceGUIDIncorrect, ProvidedImageGUIDIncorrect, FaceAPIGeneralError, FaceAPIPublicUrlInputError, FaceBadInput, GoldenSourceIncorrectStringFormat, ProvidedImageIncorrectStringFormat, SAFPSNPROk, SAFPSHANISOk, SAFPSNIISOk, SAFPSNPRSlow, SAFPSHANISSlow, SAFPSNIISSlow, SAFPSFailure, SAFPSPossibleFailure, SAFPSNPRFailure, SAFPSHANISFailure, SAFPSNIISFailure, FaceTooClose, EyesClosed, FaceCloseToBorder, FaceCropped, FaceIsOccluded, FaceNotFound, TooManyFaces, FaceTooSmall, AbsoluteFaceTooSmall, RelativeFaceTooSmall, FaceAngleTooLarge, FailedToPredictLandmarks, Active, CSuccess, AsyncCSuccess, IdentificationNumberInvalid, IdentificationNumberAgeBelow18, UnableToVerifyIdentificationNumberOnDocument, UnableToVerifyIdentificationNumberAtGoldenSource, GoldenSourceUnavailable, MandatoryInformationMissing, NPRSuccess, HANISNotAvailable, InvalidIDNCheckDigitTestNotPassed, NPRNotAvailableOnlyPhotoIsReturned, IDNRIsNotCurrentlyAValidNPRIDNR, IDNRIsMarkedForDeletion This will return a status of the transaction s well as external tracking information.
This will indicate who requested the data that is being provided.
This will indicate who authorized the provision of the requested data
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

